# Uses of Interface
org.eclipse.core.runtime.IRegistryChangeEvent

Packages that use IRegistryChangeEvent
Package
Description
org.eclipse.core.runtime
Provides support for the runtime platform, core utility methods and the extension registry.
org.eclipse.core.runtime.dynamichelpers
Provides helpers to facilitate the authoring of dynamic plug-ins.
org.eclipse.ui.internal
org.eclipse.ui.intro.config
Provides support for customizing welcome content and presentation.

## Uses of IRegistryChangeEvent in org.eclipse.core.runtime

Methods in org.eclipse.core.runtime with parameters of type IRegistryChangeEvent
Modifier and Type
Method
Description
`void`
IRegistryChangeListener.`registryChanged(IRegistryChangeEvent event)`
Notifies this listener that some registry changes are happening, or have already happened.

## Uses of IRegistryChangeEvent in org.eclipse.core.runtime.dynamichelpers

Methods in org.eclipse.core.runtime.dynamichelpers with parameters of type IRegistryChangeEvent
Modifier and Type
Method
Description
`void`
ExtensionTracker.`registryChanged(IRegistryChangeEvent event)`
Implementation of IRegistryChangeListener interface.

## Uses of IRegistryChangeEvent in org.eclipse.ui.internal

Methods in org.eclipse.ui.internal with parameters of type IRegistryChangeEvent
Modifier and Type
Method
Description
`void`
PopupMenuExtender.`registryChanged(IRegistryChangeEvent event)`

## Uses of IRegistryChangeEvent in org.eclipse.ui.intro.config

Methods in org.eclipse.ui.intro.config with parameters of type IRegistryChangeEvent
Modifier and Type
Method
Description
`void`
CustomizableIntroPart.`registryChanged(IRegistryChangeEvent event)`
Support dynamic awarness.